org.apache.cassandra.tools

## Class BootstrapMonitor

- java.lang.Object
- - org.apache.cassandra.utils.progress.jmx.JMXNotificationProgressListener
  - - org.apache.cassandra.tools.BootstrapMonitor

All Implemented Interfaces:
  java.util.EventListener, javax.management.NotificationListener, ProgressListener

    public class BootstrapMonitor
    extends JMXNotificationProgressListener

### Constructor Summary

Constructors
Constructor and Description
`BootstrapMonitor(java.io.PrintStream out)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `awaitCompletion()`
`void` `handleConnectionClosed(long timestamp, java.lang.String message)` Called when JMX connection is closed.
`void` `handleConnectionFailed(long timestamp, java.lang.String message)` Called when JMX connection is failed.
`void` `handleNotificationLost(long timestamp, java.lang.String message)` Called when receiving `JMXConnectionNotification.NOTIFS_LOST` message.
`boolean` `isInterestedIn(java.lang.String tag)`
`void` `progress(java.lang.String tag, ProgressEvent event)` Called when some progress is made by progress publisher.

### Methods inherited from class org.apache.cassandra.utils.progress.jmx.JMXNotificationProgressListener

`handleNotification`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BootstrapMonitor

    public BootstrapMonitor(java.io.PrintStream out)

### Method Detail

#### awaitCompletion

    public void awaitCompletion()
                         throws java.lang.InterruptedException

Throws:
  `java.lang.InterruptedException`

#### isInterestedIn

    public boolean isInterestedIn(java.lang.String tag)

Specified by:
  `isInterestedIn` in class `JMXNotificationProgressListener`
Parameters:
  `tag` - tag name to be checked
Returns:
  true if given tag for ProgressEvent is a target to consume. If this returns false, then `ProgressListener.progress(java.lang.String, org.apache.cassandra.utils.progress.ProgressEvent)` is not called for that event.

#### handleNotificationLost

    public void handleNotificationLost(long timestamp,
                                       java.lang.String message)

Description copied from class: `JMXNotificationProgressListener`
Called when receiving `JMXConnectionNotification.NOTIFS_LOST` message.

Overrides:
  `handleNotificationLost` in class `JMXNotificationProgressListener`

#### handleConnectionClosed

    public void handleConnectionClosed(long timestamp,
                                       java.lang.String message)

Description copied from class: `JMXNotificationProgressListener`
Called when JMX connection is closed. Specifically when `JMXConnectionNotification.CLOSED` message is received.

Overrides:
  `handleConnectionClosed` in class `JMXNotificationProgressListener`

#### handleConnectionFailed

    public void handleConnectionFailed(long timestamp,
                                       java.lang.String message)

Description copied from class: `JMXNotificationProgressListener`
Called when JMX connection is failed. Specifically when `JMXConnectionNotification.FAILED` message is received.

Overrides:
  `handleConnectionFailed` in class `JMXNotificationProgressListener`

#### progress

    public void progress(java.lang.String tag,
                         ProgressEvent event)

Description copied from interface: `ProgressListener`
Called when some progress is made by progress publisher.

Parameters:
  `tag` - String that identifies progress event.
  `event` - Current progress